--==========================================================================================================================	
-- BUILDING CLASSES
--==========================================================================================================================	
------------------------------	
-- BuildingClasses
------------------------------
INSERT INTO BuildingClasses 	
			(Type,								DefaultBuilding,					NoLimit)
VALUES		('BUILDINGCLASS_TRADE_CULTURE_D',	'BUILDING_TLINGIT_TRADE_CULTURE_D',	1),
			('BUILDINGCLASS_TRADE_SCIENCE_D',	'BUILDING_TLINGIT_TRADE_SCIENCE_D',	1),
			('BUILDINGCLASS_NOOW_ORIGIN_D',		'BUILDING_TLINGIT_NOOW_ORIGIN_D',	1),
			('BUILDINGCLASS_FISH_ORIGIN_D',		'BUILDING_TLINGIT_FISH_ORIGIN_D',	1),
			('BUILDINGCLASS_NOOW_TARGET_D',		'BUILDING_TLINGIT_NOOW_TARGET_D',	1),
			('BUILDINGCLASS_TLINGIT_ERA_D', 	'BUILDING_TLINGIT_ERA_D', 			1),
			('BUILDINGCLASS_FISH_TARGET_D',		'BUILDING_TLINGIT_FISH_TARGET_D',	1);
--==========================================================================================================================	
-- Buildings
--==========================================================================================================================	
INSERT INTO Buildings 	
			(Type, 						AllowsWaterRoutes, HurryCostModifier, FreeStartEra, AllowsProductionTradeRoutes, 	FoodKept, BuildingClass, CitySupplyFlat, PrereqTech, Cost, 		FaithCost, ConquestProb, SpecialistType, SpecialistCount, GoldMaintenance, MinAreaSize, Description, 						Civilopedia, 							Help, 									Strategy,									ArtDefineTag, PortraitIndex,	IconAtlas)
SELECT		('BUILDING_TLINGIT_HIT'),	AllowsWaterRoutes, HurryCostModifier, FreeStartEra, 1, 								FoodKept, BuildingClass, CitySupplyFlat, PrereqTech, Cost-30, 	FaithCost, ConquestProb, SpecialistType, SpecialistCount, GoldMaintenance, MinAreaSize, ('TXT_KEY_BUILDING_TLINGIT_HIT'),	('TXT_KEY_BUILDING_TLINGIT_HIT_TEXT'),	('TXT_KEY_BUILDING_TLINGIT_HIT_HELP'),	('TXT_KEY_BUILDING_TLINGIT_HIT_STRATEGY'),	ArtDefineTag, 1, 				('MC_CHINOOK_ATLAS')
FROM Buildings WHERE Type = 'BUILDING_LIGHTHOUSE';

UPDATE Buildings
SET	
	PrereqTech					= (SELECT PrereqTech FROM Buildings WHERE Type = 'BUILDING_MARKET'),
--	TradeRouteTargetBonus		= (SELECT TradeRouteTargetBonus FROM Buildings WHERE Type = 'BUILDING_MARKET'), 
--	TradeRouteRecipientBonus	= (SELECT TradeRouteRecipientBonus FROM Buildings WHERE Type = 'BUILDING_MARKET'), 	
	FaithCost 					= (SELECT FaithCost FROM Buildings WHERE Type = 'BUILDING_LIGHTHOUSE')
WHERE Type = 'BUILDING_TLINGIT_HIT';

INSERT INTO Buildings 	
			(Type,									BuildingClass,						Description,								GoldMaintenance,	Cost,	FaithCost,	GreatWorkCount, NeverCapture,	NukeImmune, ConquestProb,	HurryCostModifier,	IconAtlas,			PortraitIndex, 	CapitalOnly, 	IsDummy)
VALUES		('BUILDING_TLINGIT_NOOW_ORIGIN_D',		'BUILDINGCLASS_NOOW_ORIGIN_D',		'TXT_KEY_BUILDING_TLINGIT_NOOW_ORIGIN_D',	0,					-1,		-1,			-1,				1,				1,			0,				-1,					'CIV_COLOR_ATLAS',	0, 				0, 				1),
			('BUILDING_TLINGIT_FISH_ORIGIN_D',		'BUILDINGCLASS_FISH_ORIGIN_D',		'TXT_KEY_BUILDING_TLINGIT_FISH_ORIGIN_D',	0,					-1,		-1,			-1,				1,				1,			0,				-1,					'CIV_COLOR_ATLAS',	0, 				0, 				1),
			('BUILDING_TLINGIT_TRADE_CULTURE_D',	'BUILDINGCLASS_TRADE_CULTURE_D',	'TXT_KEY_BUILDING_TLINGIT_TRADE_CULTURE_D',	0,					-1,		-1,			-1,				1,				1,			0,				-1,					'CIV_COLOR_ATLAS',	0, 				0, 				1),
			('BUILDING_TLINGIT_TRADE_SCIENCE_D',	'BUILDINGCLASS_TRADE_SCIENCE_D',	'TXT_KEY_BUILDING_TLINGIT_TRADE_SCIENCE_D',	0,					-1,		-1,			-1,				1,				1,			0,				-1,					'CIV_COLOR_ATLAS',	0, 				0, 				1),
			('BUILDING_TLINGIT_NOOW_TARGET_D',		'BUILDINGCLASS_NOOW_TARGET_D',		'TXT_KEY_BUILDING_TLINGIT_NOOW_TARGET_D',	0,					-1,		-1,			-1,				1,				1,			0,				-1,					'CIV_COLOR_ATLAS',	0, 				0, 				1),
			('BUILDING_TLINGIT_FISH_TARGET_D',		'BUILDINGCLASS_FISH_TARGET_D',		'TXT_KEY_BUILDING_TLINGIT_FISH_TARGET_D',	0,					-1,		-1,			-1,				1,				1,			0,				-1,					'CIV_COLOR_ATLAS',	0, 				0, 				1),
			('BUILDING_TLINGIT_ERA_D',				'BUILDINGCLASS_TLINGIT_ERA_D',		'TXT_KEY_BUILDING_TLINGIT_ERA_D',			0,					-1,		-1,			-1,				1,				1,			0,				-1,					'CIV_COLOR_ATLAS',	0, 				1, 				1);
--==========================================================================================================================	
-- Building_ClassesNeededInCity
--==========================================================================================================================	
INSERT INTO Building_ClassesNeededInCity 	
			(BuildingType, 				BuildingClassType)
SELECT		('BUILDING_TLINGIT_HIT'),	BuildingClassType
FROM Building_ClassesNeededInCity WHERE BuildingType = 'BUILDING_LIGHTHOUSE';	
--==========================================================================================================================	
-- Building_YieldChanges
--==========================================================================================================================	
INSERT INTO Building_YieldChanges
			(BuildingType, 							YieldType, 			Yield)
VALUES		('BUILDING_TLINGIT_HIT', 				'YIELD_FOOD', 		2),	
			('BUILDING_TLINGIT_HIT', 				'YIELD_PRODUCTION', 2),
			('BUILDING_TLINGIT_TRADE_CULTURE_D', 	'YIELD_CULTURE', 	1),	
			('BUILDING_TLINGIT_TRADE_SCIENCE_D', 	'YIELD_SCIENCE', 	1),
			('BUILDING_TLINGIT_FISH_TARGET_D', 		'YIELD_FOOD', 		1),	
			('BUILDING_TLINGIT_NOOW_TARGET_D', 		'YIELD_PRODUCTION', 1);
--==========================================================================================================================	
-- Building_YieldChanges
--==========================================================================================================================
--INSERT INTO Building_YieldFromInternalTREnd
--	(BuildingType, YieldType, Yield)
--VALUES
--	('BUILDING_TLINGIT_HIT', 'YIELD_PRODUCTION', 25);
--==========================================================================================================================	
-- Building_RiverPlotYieldChanges
--==========================================================================================================================
INSERT INTO Building_RiverPlotYieldChanges
		(BuildingType, 				YieldType, 		Yield)
VALUES	('BUILDING_TLINGIT_HIT', 	'YIELD_GOLD', 	1);
--==========================================================================================================================	
-- Building_GrowthExtraYield
--==========================================================================================================================	
--INSERT INTO Building_GrowthExtraYield
--			(BuildingType, 				YieldType, 			Yield)
--VALUES	('BUILDING_TLINGIT_HIT', 	'YIELD_PRODUCTION', 15);
--==========================================================================================================================	
-- Building_SeaPlotYieldChanges
--==========================================================================================================================	
INSERT INTO Building_SeaPlotYieldChanges
			(BuildingType, 				YieldType, Yield)
SELECT		('BUILDING_TLINGIT_HIT'),	YieldType, Yield
FROM Building_SeaPlotYieldChanges WHERE BuildingType = 'BUILDING_LIGHTHOUSE';
--==========================================================================================================================	
-- Building_SeaResourceYieldChanges
--==========================================================================================================================	
INSERT INTO Building_SeaResourceYieldChanges
			(BuildingType, 				YieldType, Yield)
SELECT		('BUILDING_TLINGIT_HIT'),	YieldType, Yield
FROM Building_SeaResourceYieldChanges WHERE BuildingType = 'BUILDING_LIGHTHOUSE';
--==========================================================================================================================	
-- Building_ResourceYieldChanges
--==========================================================================================================================	
INSERT INTO Building_ResourceYieldChanges
			(BuildingType, 				ResourceType, YieldType, Yield)
SELECT		('BUILDING_TLINGIT_HIT'),	ResourceType, YieldType, Yield
FROM Building_ResourceYieldChanges WHERE BuildingType = 'BUILDING_LIGHTHOUSE';
--==========================================================================================================================	
-- Building_YieldFromInternalTR
--==========================================================================================================================
INSERT INTO Building_YieldFromInternalTR
		(BuildingType, 				YieldType, 			Yield)
VALUES 	('BUILDING_TLINGIT_HIT', 	'YIELD_FOOD', 		4),
		('BUILDING_TLINGIT_HIT', 	'YIELD_PRODUCTION', 4);
--==========================================================================================================================	
-- Building_BuildingClassYieldChanges
--==========================================================================================================================
INSERT INTO Building_BuildingClassYieldChanges 
			(BuildingType,				BuildingClassType,				YieldType,				YieldChange)
VALUES		('BUILDING_TLINGIT_ERA_D', 	'BUILDINGCLASS_NOOW_TARGET_D', 	'YIELD_PRODUCTION', 	1),
			('BUILDING_TLINGIT_ERA_D', 	'BUILDINGCLASS_FISH_TARGET_D', 	'YIELD_FOOD', 			1);
--==========================================================================================================================	
-- Building_Flavors
--==========================================================================================================================	
INSERT INTO Building_Flavors 	
			(BuildingType, 				FlavorType, Flavor)
SELECT		('BUILDING_TLINGIT_HIT'),	FlavorType, Flavor+5
FROM Building_Flavors WHERE BuildingType = 'BUILDING_LIGHTHOUSE';
--==========================================================================================================================	
--==========================================================================================================================	
INSERT INTO Language_en_US (Tag, Text)
VALUES
	('TXT_KEY_BUILDING_TLINGIT_HIT',				'Hit'),
	('TXT_KEY_BUILDING_TLINGIT_HIT_TEXT',			'The Tlingit, like many Northwest Native tribes, lived in shelters known as Plankhouses (Tlt. ''Hit''). The Plankhouse was typically square or rectangular with one door and no windows. These houses varied in shape and design according to the tribe that was building them. Because related families lived together in a Plankhouse, some large Plankhouses were as long as 100 feet. Each of these buildings had a central cooking and living area and distinct private sections for sleeping, separated by curtains.[NEWLINE][NEWLINE]Plankhouses continue to be built into the modern day, but primarily function as community halls and ceremonial buildings while the community members live in modern structures.'),
	('TXT_KEY_BUILDING_TLINGIT_HIT_HELP',			'Can be built anywhere.[NEWLINE][NEWLINE]+1 [ICON_FOOD] Food and +1 [ICON_GOLD] Gold from Coast and Ocean Tiles. +1 [ICON_GOLD] Gold from River tiles. Forms a [ICON_CONNECTED] City Connection with other cities via water if they also have Hit.[NEWLINE][NEWLINE]Internal [ICON_FOOD] Food [ICON_INTERNATIONAL_TRADE] Trade Routes from this City generate +4 [ICON_FOOD] Food and Internal [ICON_PRODUCTION] Production Trade Routes from this City generate +4 [ICON_PRODUCTION] Production.[NEWLINE][NEWLINE]Allows [ICON_PRODUCTION] Production to be moved from this city along trade routes inside your civilization.'),
	('TXT_KEY_BUILDING_TLINGIT_HIT_STRATEGY',		'The Hit is the Tlingit unique replacement for the Lighthouse. Unlike the Lighthouse, the Hit may be built anywhere and is unlocked earlier. The Hit increases food and production from internal trade routes and allows you to send production via trade routes earlier.'),
	('TXT_KEY_BUILDING_TLINGIT_TRADE_CULTURE_D',	'Culture Trade Dummy'),
	('TXT_KEY_BUILDING_TLINGIT_TRADE_SCIENCE_D',	'Science Trade Dummy'),
	('TXT_KEY_BUILDING_TLINGIT_NOOW_ORIGIN_D',		'Noow Origin Dummy'),
	('TXT_KEY_BUILDING_TLINGIT_FISH_ORIGIN_D',		'Fish Origin Dummy'),
	('TXT_KEY_BUILDING_TLINGIT_NOOW_TARGET_D',		'Noow Target Dummy'),
	('TXT_KEY_BUILDING_TLINGIT_FISH_TARGET_D',		'Fish Target Dummy'),
	('TXT_KEY_BUILDING_TLINGIT_ERA_D',				'Tlingit Era Dummy');