--==========================================================================================================================
-- Units
--==========================================================================================================================	
INSERT INTO Units 	
			(Class, 	Type, 					PrereqTech, Cost,		NoMaintenance, 	Special, Moves, 	CivilianAttackPriority, Domain, DefaultUnitAI, Description, 					Civilopedia, 			Strategy, 								Help, 						MilitarySupport, MilitaryProduction, IgnoreBuildingDefense, AdvancedStartCost, ObsoleteTech, WorkRate, XPValueAttack, XPValueDefense, GoodyHutUpgradeUnitClass, UnitArtInfo, 			MoveRate, UnitFlagIconOffset,	UnitFlagAtlas,	PortraitIndex, 	IconAtlas)
SELECT		Class, 		('UNIT_TLINGIT_DUK'), 	PrereqTech, Cost+30,	1, 				Special, Moves+1, 	CivilianAttackPriority, Domain, DefaultUnitAI, ('TXT_KEY_UNIT_TLINGIT_DUK'), 	('TXT_KEY_DUK_TEXT'), 	('TXT_KEY_UNIT_TLINGIT_DUK_STRATEGY'), 	('TXT_KEY_UNIT_HELP_DUK'),	MilitarySupport, MilitaryProduction, IgnoreBuildingDefense, AdvancedStartCost, ObsoleteTech, WorkRate, XPValueAttack, XPValueDefense, GoodyHutUpgradeUnitClass, ('ART_DEF_UNIT_DUK'), 	MoveRate, 0,					('DUK_FLAG'),	0, 				('MC_CHINOOK_ATLAS')
FROM Units WHERE (Type = 'UNIT_WORKBOAT');

UPDATE Units
SET	
	Range				= 	(SELECT Range FROM Units WHERE Type = 'UNIT_GALLEASS'), 
	CombatClass 		= 	(SELECT CombatClass FROM Units WHERE Type = 'UNIT_GALLEASS'), 
	DefaultUnitAI 		= 	(SELECT DefaultUnitAI FROM Units WHERE Type = 'UNIT_GALLEASS'),
	XPValueAttack 		= 	(SELECT XPValueAttack FROM Units WHERE Type = 'UNIT_GALLEASS'), 
	XPValueDefense 		= 	(SELECT XPValueDefense FROM Units WHERE Type = 'UNIT_GALLEASS'),
	CombatLimit 		= 	(SELECT CombatLimit FROM Units WHERE Type = 'UNIT_GALLEASS'), 
	PurchaseCooldown 	= 	(SELECT PurchaseCooldown FROM Units WHERE Type = 'UNIT_GALLEASS'), 
	Pillage 			= 	(SELECT Pillage FROM Units WHERE Type = 'UNIT_GALLEASS'), 
	Combat 				= 	5,
	RangedCombat		=	12
WHERE Type = 'UNIT_TLINGIT_DUK';    
--==========================================================================================================================
-- BUILDS
--==========================================================================================================================				
INSERT INTO Builds		
			(Type,								PrereqTech,	HotKey, HotKeyPriority, HotKeyPriorityAlt, ImprovementType, Description, EntityEvent, OrderPriority, Kill, 	Water, CanBeEmbarked, IconIndex, IconAtlas, ShowInPedia, 	ShowInTechTree)
SELECT		'BUILD_OFFSHORE_PLATFORM_NO_KILL',	PrereqTech,	HotKey, HotKeyPriority, HotKeyPriorityAlt, ImprovementType, Description, EntityEvent, OrderPriority, 0, 	Water, CanBeEmbarked, IconIndex, IconAtlas, 0, 				0
FROM Builds WHERE (Type = 'BUILD_OFFSHORE_PLATFORM');                                           
--==========================================================================================================================
-- UnitGameplay2DScripts
--==========================================================================================================================	
INSERT INTO UnitGameplay2DScripts 	
			(UnitType, 						SelectionSound, FirstSelectionSound)
SELECT		('UNIT_TLINGIT_DUK'), 	SelectionSound, FirstSelectionSound
FROM UnitGameplay2DScripts WHERE (UnitType = 'UNIT_WORKBOAT');
--==========================================================================================================================
-- Unit_AITypes
--==========================================================================================================================	
INSERT INTO Unit_AITypes 	
			(UnitType, 						UnitAIType)
SELECT		('UNIT_TLINGIT_DUK'), 	UnitAIType
FROM Unit_AITypes WHERE (UnitType = 'UNIT_GALLEASS');
--==========================================================================================================================
-- Unit_Builds
--==========================================================================================================================
INSERT INTO Unit_Builds 	
			(UnitType, 						BuildType)
VALUES		('UNIT_TLINGIT_DUK', 		'BUILD_REPAIR'),
			('UNIT_TLINGIT_DUK', 		'BUILD_OFFSHORE_PLATFORM_NO_KILL'),
			('UNIT_TLINGIT_DUK', 		'BUILD_FISHING_BOATS_NO_KILL');	
--==========================================================================================================================
-- Unit_Flavors
--==========================================================================================================================	
INSERT INTO Unit_Flavors 	
			(UnitType, 						FlavorType, Flavor)
SELECT		('UNIT_TLINGIT_DUK'), 	FlavorType, Flavor
FROM Unit_Flavors WHERE (UnitType = 'UNIT_GALLEASS');

INSERT OR REPLACE INTO Unit_Flavors 	
			(UnitType, 						FlavorType, Flavor)
SELECT		('UNIT_TLINGIT_DUK'), 	FlavorType, Flavor
FROM Unit_Flavors WHERE (UnitType = 'UNIT_WORKBOAT');	
--==========================================================================================================================
-- Unit_FreePromotions
--==========================================================================================================================	
INSERT INTO Unit_FreePromotions 	
			(UnitType, 					PromotionType)
SELECT		('UNIT_TLINGIT_DUK'),	PromotionType
FROM Unit_FreePromotions WHERE (UnitType = 'UNIT_GALLEASS');

INSERT INTO Unit_FreePromotions 	
			(UnitType, 		PromotionType)
VALUES		('UNIT_TLINGIT_DUK',	'PROMOTION_OCEAN_IMPASSABLE_UNTIL_ASTRONOMY');

DELETE FROM Unit_FreePromotions
WHERE UnitType = 'UNIT_TLINGIT_DUK' AND PromotionType = 'PROMOTION_OCEAN_IMPASSABLE';
--==========================================================================================================================	
--==========================================================================================================================	
INSERT INTO Language_en_US (Tag, Text)
VALUES
	('TXT_KEY_UNIT_TLINGIT_DUK', 			'Duk'),
	('TXT_KEY_DUK_TEXT', 		'The Tlingit Cottonwood canoe, or ''Duk'' had a raised prow which was often decorated with carved figures. These well-crafted canoes, which ranged from fifteen to fifty feet in length, were used in both freshwater and saltwater.[NEWLINE][NEWLINE]Duk were a common type of dugout canoe, created by hollowing out a single log. Before the introduction of metal tools, this was accomplished through fire, steam, and the use of wood and stone tools. It was a slow process —- good canoes could take many weeks to make and thus were highly valued.[NEWLINE][NEWLINE]Duk were widely used for transportation, trade, and warfare. Relations with the Haida and other Pacific Coast tribes were often contentious, and these crafts'' lightweight construction made quick raids incredibly effective.'),
	('TXT_KEY_UNIT_TLINGIT_DUK_STRATEGY',	'The Duk is the Tlingit Unique Workboat. Rather than building Fishing Boats like its civilian counterpart, the Duk is a ranged naval unit. It can repair any pillaged coastal improvements and costs no maintenance.'),
	('TXT_KEY_UNIT_HELP_DUK',		'A weak Naval Unit that replaces the work boat. Only the Tlingit may build it. Can build and repair fishing boat improvements. Does not cost gold maintenance.');