UPDATE Leaders SET PrimaryVictoryPursuit = NULL WHERE Type = 'LEADER_CL_SHAKES';
--------------------------------
-- Civilization_BuildingClassOverrides
--------------------------------
INSERT INTO	Civilization_BuildingClassOverrides
			(CivilizationType,			BuildingClassType,			BuildingType)
SELECT		'CIVILIZATION_CL_TLINGIT', 'BUILDINGCLASS_LIGHTHOUSE', 'BUILDING_TLINGIT_HIT'
WHERE EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_GERMANY_TEUTONIC_ORDER');

--------------------------------	
-- Civilization_UnitClassOverrides 
--------------------------------
INSERT INTO Civilization_UnitClassOverrides
		(CivilizationType, UnitClassType, UnitType)
SELECT	'CIVILIZATION_CL_TLINGIT', 'UNITCLASS_WORKBOAT', 'UNIT_TLINGIT_DUK'
WHERE EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_GERMANY_TEUTONIC_ORDER');


INSERT INTO Unit_BuildingClassPurchaseRequireds (UnitType, BuildingClassType) SELECT 'UNIT_CL_XAA','BUILDINGCLASS_ARMORY'; 

INSERT INTO BuildFeatures	
			(BuildType, 		FeatureType, PrereqTech, Time, Production, Remove)
SELECT		'BUILD_CLFB_NOOW',	FeatureType, PrereqTech, Time, Production, Remove
FROM BuildFeatures WHERE BuildType = 'BUILD_EKI';

------------------------------
-- Improvement_TechYieldChanges
------------------------------
INSERT INTO Improvement_TechYieldChanges
			(ImprovementType,			TechType,			YieldType,			Yield)
VALUES		('IMPROVEMENT_CLFB_NOOW',	'TECH_MACHINERY',	'YIELD_FOOD',		1),
			('IMPROVEMENT_CLFB_NOOW',	'TECH_MACHINERY',	'YIELD_PRODUCTION',	1),
			('IMPROVEMENT_CLFB_NOOW',	'TECH_NAVIGATION',	'YIELD_SCIENCE',	1),
			('IMPROVEMENT_CLFB_NOOW',	'TECH_NAVIGATION',	'YIELD_PRODUCTION',	1),
			('IMPROVEMENT_CLFB_NOOW',	'TECH_COMBUSTION',	'YIELD_CULTURE',	1),
			('IMPROVEMENT_CLFB_NOOW',	'TECH_COMBUSTION',	'YIELD_PRODUCTION',	1);
			
------------------------------
-- Policy_ImprovementYieldChanges
------------------------------		
INSERT INTO Policy_ImprovementYieldChanges
(PolicyType, ImprovementType, YieldType, Yield)
SELECT PolicyType, 'IMPROVEMENT_CLFB_NOOW', YieldType, Yield
FROM Policy_ImprovementYieldChanges WHERE ImprovementType = 'IMPROVEMENT_ENCAMPMENT_SHOSHONE';
------------------------------
-- Improvement_AdjacentFeatureYieldChanges
------------------------------
INSERT INTO Improvement_AdjacentFeatureYieldChanges
			(ImprovementType,			FeatureType,		YieldType,			Yield)
VALUES		('IMPROVEMENT_CLFB_NOOW',	'FEATURE_JUNGLE',	'YIELD_PRODUCTION',	1),
			('IMPROVEMENT_CLFB_NOOW',	'FEATURE_FOREST',	'YIELD_PRODUCTION',	1);	

-- Enlightenment Era Compatibility
UPDATE Unit_ClassUpgrades SET UnitClassType = 'UNITCLASS_EE_SKIRMISHER' WHERE UnitType = 'UNIT_CL_XAA' AND EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_EE_BASTION');
UPDATE Units SET ObsoleteTech = 'TECH_DYNAMITE' WHERE Type = 'UNIT_CL_XAA' AND EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_EE_BASTION');