--------------------------------------
--  Ku'Eex            --
--------------------------------------
local eCivilizationTlingit = GameInfoTypes.CIVILIZATION_CL_TLINGIT

function TlingitUA(iPlayer)
	local pPlayer = Players[iPlayer]
	
	if not (pPlayer and pPlayer:GetCivilizationType() == eCivilizationTlingit) then return end

	local eBuildingTargetDummyForFish = GameInfoTypes.BUILDING_TLINGIT_FISH_TARGET_D
	local eBuildingTargetDummyForNoows = GameInfoTypes.BUILDING_TLINGIT_NOOW_TARGET_D
	local eBuildingCultureDummy = GameInfoTypes.BUILDING_TLINGIT_TRADE_CULTURE_D
	local eBuildingScienceDummy = GameInfoTypes.BUILDING_TLINGIT_TRADE_SCIENCE_D
	
	for city in pPlayer:Cities() do
		city:SetNumRealBuilding(eBuildingTargetDummyForFish, 0)
		city:SetNumRealBuilding(eBuildingTargetDummyForNoows, 0)
		city:SetNumRealBuilding(eBuildingCultureDummy, 0)
		city:SetNumRealBuilding(eBuildingScienceDummy, 0)
	end
		
	local tRoutes = pPlayer:GetTradeRoutes()
	local iTotalScience, iTotalGold, iTotalCulture, iTotalFood, iTotalProduction = 0, 0, 0, 0, 0
		
	for i, route in ipairs(tRoutes) do
		local iOriginCity = route.FromCity
		
		-- first part of UA
		if route.ToID == iPlayer then
			local iTargetCity = route.ToCity
			
			local iFood = (2 * (math.max(pPlayer:GetCurrentEra(), 1)) * iOriginCity:CountNumWorkedImprovement(GameInfoTypes.IMPROVEMENT_FISHING_BOATS, true))
			local iProduction = (2 * (math.max(pPlayer:GetCurrentEra(), 1)) * iOriginCity:CountNumWorkedImprovement(GameInfoTypes.IMPROVEMENT_CLFB_NOOW, true))
					
			iTargetCity:SetNumRealBuilding(eBuildingTargetDummyForFish, (iTargetCity:GetNumBuilding(eBuildingTargetDummyForFish) + iFood))
			iTargetCity:SetNumRealBuilding(eBuildingTargetDummyForNoows, (iTargetCity:GetNumBuilding(eBuildingTargetDummyForNoows) + iProduction))
			
			iTotalFood = iTotalFood + iFood
			iTotalProduction = iTotalProduction + iProduction

		-- second part of UA
		else 
			local iCulture = math.ceil(route.FromCulture * 0.01)
			
			iOriginCity:SetNumRealBuilding(eBuildingCultureDummy, (iOriginCity:GetNumBuilding(eBuildingCultureDummy) + iCulture))
			iTotalCulture = iTotalCulture + iCulture
		
			if pPlayer:GetCurrentResearch() ~= nil then
				local iScience = math.ceil(route.FromScience * 0.01)
						
				iTotalScience = iTotalScience + iScience
				iOriginCity:SetNumRealBuilding(eBuildingScienceDummy, (iOriginCity:GetNumBuilding(eBuildingScienceDummy) + iScience))
			end
		end
	end

	if ( iTotalCulture + iTotalScience + iTotalProduction + iTotalFood ) > 0 then
		if pPlayer:IsHuman() and pPlayer:IsTurnActive() then
			sText = 'Bonus Yields'
			
			if iTotalFood > 0 then
				sText = sText .. '[NEWLINE][ICON_BULLET]'..iTotalFood..' [ICON_FOOD] Food'
			end
				
			if iTotalProduction > 0 then
				sText = sText .. '[NEWLINE][ICON_BULLET]'..iTotalProduction..' [ICON_PRODUCTION] Production'
			end
				
			if iTotalCulture > 0 then
				sText = sText .. '[NEWLINE][ICON_BULLET]'..iTotalCulture..' [ICON_CULTURE] Culture'
			end
				
			if iTotalScience > 0 then
				sText = sText .. '[NEWLINE][ICON_BULLET]'..iTotalScience..' [ICON_RESEARCH] Science'
			end
			
			local pCapital = pPlayer:GetCapitalCity()
		
			pPlayer:AddNotification(NotificationTypes.NOTIFICATION_INSTANT_YIELD,
			sText,'Ku.Éex',pCapital:GetX(), pCapital:GetY(), pCapital:GetID())
		end
	end
end

if Game.IsCivEverActive(eCivilizationTlingit) then
	GameEvents.PlayerDoTurn.Add(TlingitUA)
end